MATE-SESSION(1)

NAME
mate-session - Start the MATE desktop environment

SYNOPSIS
mate-session [--autostart=DIR] [--default-session-key=KEY] [--failsafe|-f] [--debug]

DESCRIPTION
The mate-session program starts up the MATE desktop environment. This command is typically executed by your login manager (either mdm, xdm, or from your X startup scripts). It will load either your saved session, or it will provide a default session for the user as defined by the system administrator (or the default MATE installation on your system).

The default session is defined in the MateConf keys under /desktop/mate/session. When saving a session, mate-session saves the currently running applications in the $XDG_CONFIG_HOME/mate-session/saved-session directory.

mate-session is an X11R6 session manager. It can manage MATE applications as well as any X11R6 SM compliant.

OPTIONS
The following options are supported:

--autostart=DIR
    Start all applications defined in DIR, instead of starting the applications defined in /desktop/mate/session/default_session, or via the --default-session-key option. Multiple --autostart options can be passed.

--default-session-key=KEY
    Set the MateConf key from which applications running a default session should be read to KEY. If not specificed, /desktop/mate/session/default_session will be used.

--failsafe
    Run in fail-safe mode. User-specified applications will not be started.

--debug
    Enable debugging code.

ENVIRONMENT
mate-session sets several environment variables for the use of its child processes:

SESSION_MANAGER

    This variable is used by session-manager aware clients to contact mate-session.

DISPLAY

    This variable is set to the X display being used by mate-session. Note that if the --display option is used this might be different from the setting of the environment variable when mate-session is invoked.

FILES

$XDG_CONFIG_HOME/config/autostart $XDG_CONFIG_DIRS/config/autostart /usr/share/mate/autostart

    The applications defined in those directories will be started on login. mate-session-properties(1) can be used to easily configure them.

$XDG_CONFIG_HOME/mate-session/saved-session

    This directory contains the list of applications of the saved session.

BUGS
If you find bugs in the mate-session program, please report these on https://bugzilla.gnome.org.

SEE ALSO
mate-session-properties(1) mate-session-save(1) mate-wm(1)